{{form_start(form,{'attr': {'novalidate': 'novalidate'}})}} 
    {{form_row(form.title,{'label':'Titre'})}}
    {{form_row(form.abstract,{'label':'Résumé'})}}
    {{form_row(form.description,{'label':'Déscription'})}}
    {{form_row(form.imageFile,{'label':'Image de l\'evenement'})}}
    {{form_row(form.startDate,{'label':'Date de début'})}}
    {{form_row(form.endDate,{'label':'Date de fin'})}}
    {{form_row(form.type,{'label':'Type d\'évènement'})}}
    
    
        <div id="classe" hidden>
                <label>Quelle Classe?</label>
                
                {# <input type="text" name="classe" value=""/> #}
            
                <input type="radio" 
                name="classe" value="TPS">
                <label>TPS</label>

                <input type="radio" 
                name="classe" value="PS">
                <label>PS</label>

                <input type="radio" 
                name="classe" value="MS">
                <label>MS</label>

                <input type="radio" 
                name="classe" value="GS">
                <label>GS</label>

                <input type="radio" 
                name="classe" value="CP">
                <label>CP</label>

                <input type="radio" 
                name="classe" value="CM1">
                <label >CM1</label>

                <input type="radio" 
                name="classe" value="CM2">
                <label>CM2</label>
                <br/>
        </div> 
            <div id="perso" hidden>
                <label>Quel email ?</label>
                <input type="text" name="perso" value=""/>
                <br />
            </div>  
    
            <div id="enseignat" hidden>
                {# {{app.user.email}} #}

                {# <label>Nom</label>
                <input type="text" name="firstName" value=""/> 
                <label>Prénom </label>
                <input type="text" name="lastName" value=""/> #}
                
            </div> 
            <br>
            <div class="btn-formulaire">
                <button class="btn btnColor"><i class="fas fa-save"></i> {{ button_label|default('Enregister') }}</button> 
            </div> 

{{ form_end(form) }}  

{% block javascripts %}
<script>

    const types = document.querySelectorAll('.js-type')
    types.forEach(type => {
        type.addEventListener('change', (e)=>{
            document.getElementById('classe').setAttribute('hidden',"")
            document.getElementById('perso').setAttribute('hidden',"")
            document.getElementById('enseignat').setAttribute('hidden',"")
            if(e.target.value == 'Personnel'){
                document.getElementById('perso').removeAttribute('hidden')
            }
            if(e.target.value == 'Classe'){
                document.getElementById('classe').removeAttribute('hidden')
            }
            if(e.target.value == 'Enseignat(e)'){
                document.getElementById('enseignat').removeAttribute('hidden')
                
            }

        })
    })
        
        
</script>
    
{% endblock  %}
